## @file
##
## $Id: makefile.am 9 2009-04-02 12:54:44Z marwae $
##
##       1         2         3         4         5         6         7         8
## 45678901234567890123456789012345678901234567890123456789012345678901234567890

nobase_include_HEADERS = mrw/arg.hxx mrw/auto.hxx mrw/configfile.hxx	\
                         mrw/deque.hxx mrw/dynamiclibrary.hxx		\
                         mrw/errno.hxx mrw/exception.hxx mrw/exec.hxx	\
                         mrw/file.hxx mrw/functiontrace.hxx		\
                         mrw/list.hxx mrw/map.hxx mrw/multimap.hxx	\
                         mrw/multiset.hxx mrw/regexp.hxx mrw/set.hxx	\
                         mrw/smartpointer.hxx mrw/stacktrace.hxx	\
                         mrw/stdext.hxx mrw/string.hxx			\
                         mrw/tokenizer.hxx mrw/unistd.hxx		\
                         mrw/vector.hxx mrw/args.hxx mrw/iomanip.hxx	\
                         mrw/checkcxx11.hxx mrw/shared.hxx

if HAVE_STACKTRACE
  AM_CPPFLAGS += -DHAVE_STACKTRACE
endif

lib_LTLIBRARIES = libmrw.la
if HAVE_BOOST_THREAD
  lib_LTLIBRARIES += libmrw-mt.la
endif
if HAVE_STACKTRACE
 lib_LTLIBRARIES += libmrwexcstderr.la
if HAVE_THREADS
if HAVE_BOOST_THREAD
    lib_LTLIBRARIES += libmrwexcstderr-mt.la
endif
endif
if AUTOFNTRACE
    lib_LTLIBRARIES += libmrwautofunctiontracestdlog.la
if HAVE_THREADS
if HAVE_BOOST_THREAD
      lib_LTLIBRARIES += libmrwautofunctiontracestdlog-mt.la
endif
endif
endif
if HAVE_LOG4CXX
    lib_LTLIBRARIES += libmrwexclog4cxx.la
if HAVE_BOOST_THREAD
    lib_LTLIBRARIES += libmrwexclog4cxx-mt.la
endif
if AUTOFNTRACE
    lib_LTLIBRARIES += libmrwautofunctiontracelog4cxx.la
if HAVE_THREADS
if HAVE_BOOST_THREAD
      lib_LTLIBRARIES += libmrwautofunctiontracelog4cxx-mt.la
endif
endif
endif
endif
endif
if HAVE_LOG4CXX
    lib_LTLIBRARIES += libmrwlog4cxxconfiguration.la
if HAVE_THREADS
    lib_LTLIBRARIES += libmrwlog4cxxconfiguration-mt.la
endif
endif

libmrw_la_SOURCES = mrw/mrw.hxx version.cxx arg.cxx mrw/arg.hxx		\
                    mrw/auto.hxx mrw/deque.hxx exception.cxx		\
                    mrw/exception.hxx mrw/list.hxx mrw/map.hxx		\
                    mrw/multimap.hxx mrw/multiset.hxx mrw/set.hxx	\
                    mrw/smartpointer.hxx stdext.cxx mrw/stdext.hxx	\
                    mrw/string.hxx mrw/unistd.hxx mrw/vector.hxx	\
                    mrw/tokenizer.hxx mrw/errno.hxx errno.cxx
if HAVE_DIR
  libmrw_la_SOURCES += mrw/file.hxx mrw/configfile.hxx configfile.cxx
endif
if HAVE_REGEXP
  libmrw_la_SOURCES += mrw/regexp.hxx regexp.cxx
endif
if HAVE_EXEC
  libmrw_la_SOURCES += exec.cxx mrw/exec.hxx
endif
if HAVE_LTDL
  libmrw_la_SOURCES += mrw/dynamiclibrary.hxx
endif
if HAVE_LOG4CXX
  libmrw_la_SOURCES += functiontrace.cxx mrw/functiontrace.hxx
endif
if HAVE_STACKTRACE
libmrw_la_SOURCES += \
                     mrw/stacktrace.hxx stacktrace.cxx
endif
libmrw_la_LDFLAGS = -version-info @LIB_VERSION@
libmrw_la_LIBADD = 
if HAVE_STACKTRACE
libmrw_la_LIBADD += -lltdl
endif

if HAVE_THREADS
if HAVE_BOOST_THREAD
  libmrw_mt_la_SOURCES = $(libmrw_la_SOURCES)
  libmrw_mt_la_CXXFLAGS = @THREADS@
  libmrw_mt_la_LDFLAGS = $(libmrw_la_LDFLAGS) -version-info @LIB_VERSION@ \
                         @THREADS@
  libmrw_mt_la_LIBADD  = $(libmrw_la_LIBADD) @BOOST_THREAD_LIB@
endif
endif

if HAVE_STACKTRACE
  libmrwexcstderr_la_SOURCES = autostacktracestderr.cxx version.cxx
  libmrwexcstderr_la_LDFLAGS = -version-info @LIB_VERSION@
  libmrwexcstderr_la_LIBADD = libmrw.la
if HAVE_THREADS
if HAVE_BOOST_THREAD
    libmrwexcstderr_mt_la_SOURCES = autostacktracestderr.cxx version.cxx
    libmrwexcstderr_mt_la_CXXFLAGS = @THREADS@
    libmrwexcstderr_mt_la_LDFLAGS = -version-info @LIB_VERSION@ @THREADS@
    libmrwexcstderr_mt_la_LIBADD = libmrw-mt.la
endif
endif
if AUTOFNTRACE
    libmrwautofunctiontracestdlog_la_SOURCES = autofunctiontracestdlog.cxx \
                                               version.cxx
    libmrwautofunctiontracestdlog_la_CXXFLAGS = -w
    libmrwautofunctiontracestdlog_la_LDFLAGS = -version-info @LIB_VERSION@
    libmrwautofunctiontracestdlog_la_LIBADD  = libmrw.la
if HAVE_THREADS
if HAVE_BOOST_THREAD
      libmrwautofunctiontracestdlog_mt_la_SOURCES = \
        autofunctiontracestdlog.cxx  version.cxx
      libmrwautofunctiontracestdlog_mt_la_CXXFLAGS = @THREADS@ -w
      libmrwautofunctiontracestdlog_mt_la_LDFLAGS = \
        -version-info @LIB_VERSION@ @THREADS@
      libmrwautofunctiontracestdlog_mt_la_LIBADD  = \
        libmrw-mt.la
endif
endif
endif
if HAVE_LOG4CXX
    libmrwexclog4cxx_la_SOURCES = autostacktracelog4cxx.cxx version.cxx
    libmrwexclog4cxx_la_LDFLAGS = -version-info @LIB_VERSION@
    libmrwexclog4cxx_la_LIBADD = libmrw.la -llog4cxx
if HAVE_THREADS
if HAVE_BOOST_THREAD
      libmrwexclog4cxx_mt_la_SOURCES = autostacktracelog4cxx.cxx version.cxx
      libmrwexclog4cxx_mt_la_CXXFLAGS = @THREADS@
      libmrwexclog4cxx_mt_la_LDFLAGS = -version-info @LIB_VERSION@ @THREADS@
      libmrwexclog4cxx_mt_la_LIBADD = libmrw-mt.la -llog4cxx
endif
endif
if AUTOFNTRACE
    libmrwautofunctiontracelog4cxx_la_SOURCES = autofunctiontracelog4cxx.cxx \
                                                version.cxx
    libmrwautofunctiontracelog4cxx_la_CXXFLAGS = -w
    libmrwautofunctiontracelog4cxx_la_LDFLAGS = -version-info @LIB_VERSION@
    libmrwautofunctiontracelog4cxx_la_LIBADD  = libmrw.la -llog4cxx
if HAVE_THREADS
if HAVE_BOOST_THREAD
      libmrwautofunctiontracelog4cxx_mt_la_SOURCES = \
        autofunctiontracelog4cxx.cxx  version.cxx
      libmrwautofunctiontracelog4cxx_mt_la_CXXFLAGS = @THREADS@ -w
      libmrwautofunctiontracelog4cxx_mt_la_LDFLAGS = \
        -version-info @LIB_VERSION@ @THREADS@
      libmrwautofunctiontracelog4cxx_mt_la_LIBADD  = \
        libmrw-mt.la -llog4cxx
endif
endif
endif
endif
endif
if HAVE_LOG4CXX
  libmrwlog4cxxconfiguration_la_SOURCES = log4cxxconfiguration.cxx version.cxx
  libmrwlog4cxxconfiguration_la_LDFLAGS = -version-info @LIB_VERSION@
  libmrwlog4cxxconfiguration_la_LIBADD = -llog4cxx
if HAVE_THREADS
    libmrwlog4cxxconfiguration_mt_la_SOURCES = log4cxxconfiguration.cxx \
                                               version.cxx
    libmrwlog4cxxconfiguration_mt_la_CXXFLAGS = @THREADS@
    libmrwlog4cxxconfiguration_mt_la_LDFLAGS = -version-info @LIB_VERSION@ \
                                               @THREADS@
    libmrwlog4cxxconfiguration_mt_la_LIBADD = -llog4cxx
endif
endif

MAINTAINERCLEANFILES = makefile.in
